
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一道优雅面试题分析js中fn()和return fn()的区别_javascript技巧 / iVAN</title>

    <meta name="description" content="一道优雅面试题分析js中fn()和return fn()的区别_javascript技巧 在js中,经常会遇到在函数里调用其它函数的情况,这时候会有 fn() 这种调用方式,还有一种是 return fn() 这种调用方式,一些初学者经常会被这两种方式给绕晕了.这里用一个优雅的面试题来分析一下两种方式的不同之处.  var i = 0; function fn(){ i++; if(i &lt; 10){ fn(); }else{ return i; } } var result = fn(); console.log(result); 这是一道隐藏了坑的面试题,看似很简单,大部分人 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">一道优雅面试题分析js中fn()和return fn()的区别_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在js中，经常会遇到在函数里调用其它函数的情况，这时候会有 fn() 这种调用方式，还有一种是 return fn() 这种调用方式，一些初学者经常会被这两种方式给绕晕了。这里用一个优雅的面试题来分析一下两种方式的不同之处。 </p>
<pre>
var i = 0;
function fn(){
 i++;
 if(i &lt; 10){
 fn();
 }else{
 return i;
 }
}

var result = fn();
console.log(result);
</pre>
<p>这是一道隐藏了坑的面试题，看似很简单，大部分人可能想都不想就答出了10。而实际上运行可知打印出来的是 undefined。这道陷阱题很直观的体现出了前面所说的问题，当我们将执行fn的那一行修改为： </p>
<pre>
var i = 0;
function fn(){
 i++;
 if(i &lt; 10){
 return fn();
 }else{
 return i;
 }
}

var result = fn();
console.log(result); 
</pre>
<p>这时，会发现打印出来的结果终于不负众望的是 10 了。</p>
<p><strong>为什么这里加不加return区别会这么大？ <br /></strong></p>
<p>这里的主要原因很简单，JavaScript的函数都是有默认返回值的，如果函数结尾不写return，会默认返回undefined，这就是为什么在chrome的console控制台里，写代码经常下面会出现一行undefined的原因。 </p>
<p>再仔细看看这个例子，当i自增到9的时候，也就是倒数第二次递归调用fn的那一次，如果没有return，这一次执行完fn，会默认return undefined，而不会继续下一次递归了。当加上了 return，在这里则会继续最后一次递归，即i=10的时候，跳入else里面返回得到正确的10。 </p>
<p>说到这里，可以引申出一个更为经典的例子，著名的<strong>二分查找法</strong>： </p>
<pre>
var mid = Math.floor((arr.length - 1) / 2);

function search(n, mid) {
 if (n &gt; arr[mid]) {
 mid = Math.floor((mid + arr.length) / 2);
 return search(n, mid);
 } else if (n &lt; arr[mid]) {
 mid = Math.floor((mid - 1) / 2);
 return search(n, mid);
 } else {
 return mid;
 }
}

var index = search(n, mid);
console.log(index); 
</pre>
<p>二分查找法也是需要多次递归调用，很多新手在第一次实现这个算法的时候经常会犯的一个错误就是忘记在递归的函数前加上return，最后导致返回结果是undefined，这里的道理也和前面是类似的，不加return，会导致递归后，直接返回undefined,不会继续下一次递归。</p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索js<br />
                    ，                return<br />
                                    fn<br />
                                    javascript面试题、javascript面试题2016、javascript闭包面试题、javascript必问面试题、javascript基础面试题，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:24:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/return/" title="return">return</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>一道优雅面试题分析js中fn()和return fn()的区别_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdBLxdb.html" rel="bookmark">js中setTimeout&lpar;&rpar;与clearTimeout&lpar;&rpar;用法实例浅析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了js中setTimeout()与clearTimeout()用法.分享给大家供大家参考.具体分析如下: setTimeout() 方法用于在指定的毫秒数后调用函数或计算表达式. clearTimeout() 方法可取消由 setTimeout() 方法设置的 timeout. &lt;input type = text id = aaa &gt; &lt;input type = button value = stop id = bb onclick = bb()&gt; &lt;scrip			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrdgOxz.html" rel="bookmark">js中split和replace的用法实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js中split和replace的用法.分享给大家供大家参考.具体分析如下: 1. split : 复制代码 代码如下: &lt;html&gt; &lt;head&gt;     &lt;title&gt;     从业人员继续教育报名列表--打印签到表 sdfsd&lt;/tr&gt;&lt;tr&gt;&lt;/tr&gt;  sdfsd     &lt;/title&gt; &lt;/head&gt; &lt;body&gt;      &lt;script type=&quot;t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgy1xEz.html" rel="bookmark">JS中捕获console&period;log&lpar;&rpar;输出的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS中捕获console.log()输出的方法.分享给大家供大家参考.具体分析如下: 我们知道console.log()可以将信息输出到debugger中供开发者查看.但如果我们想要在JS中获取console.log()的输出结果呢?其实不难,先将原本的console.log保存起来,然后替换成另外一个实现即可.代码如下: var lastLog; console.oldLog = console.log; console.log = function(str) { console			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z440YNz.html" rel="bookmark">js中的如何定位固定层的位置&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需要获取一些HTML的对象的坐标来更灵活的设置目标层的坐标,这里可以通过用到document.body.scrollTop等属性,但是这些属性在xhtml的标准网页中或更简单的说就是带&lt;!DOCTYPE...&gt;的标签中得到的值是0:如果不要此标签则一切正常,那么在xhtml中如何获取body的坐标呢?当然有办法了,我们使用document.documentElement来取代document.body例如可以这样写: 复制代码 代码如下: var top=document.documentEl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWO1Kz.html" rel="bookmark">JS中位置与大小的获取方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				scrollHeight,clientHeight,offsetHeight的区别 说明: scrollHeight:DOM元素的实际内容的高度,不包border的高度,会随DOM元素中内容的增加(超过可视区后)而变大. clientHeight:DOM元素内容可视区的高度,不包含滚动条和边框的高度. offsetHeight:DOM元素整体的高度,包括滚动条和边框. 当滚动条不出现的时候 这时候DOM元素中没有内容或者内容不超过可视区 scrollWidth=clientWidth,两者皆为可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1k38b.html" rel="bookmark">js中利用cookie实现记住密码功能&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在登录界面添加记住密码功能,我首先想到的是在java后台中调用cookie存放账号密码,大致如下: HttpServletRequest request HttpServletResponse response Cookie username = new Cookie(&quot;username &quot;,&quot;cookievalue&quot;); Cookie password = new Cookie(&quot;password &quot;,&quot;cookievalue&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYN006p.html" rel="bookmark">js中获取事件对象的方法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: var evt = window.event || arguments[0]; 下面分三种添加事件的方式讨论,你也许会看到以前没有看到过的获取方式. 1,第一种添加事件的方式,直接在html的属性中写JS代码 复制代码 代码如下: &lt;div onclick=&quot;alert(4);&quot;&gt;Div1 Element&lt;/div&gt; 大概这是上世纪90年代的写法,那时候直接把js代码写在网页中很普遍,也许那时候的js并不太重要,只是用来做做验证或一些花哨的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8dZ0p.html" rel="bookmark">js中的preventDefault与stopPropagation详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先讲解一下js中preventDefault和stopPropagation两个方法的区别:preventDefault方法的起什么作用呢?我们知道比如&lt;a href=&quot;http://www.baidu.com&quot;&gt;百度&lt;/a&gt;,这是html中最基础的东西,起的作用就是点击百度链接到http://www.baidu.com,这是属于&lt;a&gt;标签的默认行为,而preventDefault方法就是可以阻止它的默认行为的发生而发生其他的事情.看一段代码大家就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvdN4M.html" rel="bookmark">js中常用的Tab切换效果&lpar;推荐&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;tab&lt;/title&gt; &lt;style&gt; *{margin:0; padding:0; list-style:none;} .box{ width: 1000px; overflow: hidden; margin:100px auto			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ7P4b.html" rel="bookmark" class="title">新站获得外链的几种方法对比</a>
					<div>
						1. 自己或朋友网站单向连接 操作: 易 效果:好 经常会有人说关键词排名比的就是资源,如果你自己有权重比较高的网站可以给新站做单向连接,站长朋友比较多的,叫朋友帮忙挂一个文字连接,这样的效果最好.当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp80Gxp.html" rel="bookmark" class="title">CSS3实例教程&colon;详解calc&lpar;&rpar;函数功能</a>
					<div>
						文章描述:就算你通过繁琐的方法实现了,但有于浏览器的兼容性而导致最终效果不一致.虽然前面介绍的CSS3属性中的box-sizing在一定程度上解决这样的问题,其实今天的calc()函数功能实现上面的效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWZ8nb.html" rel="bookmark" class="title">什么是PHP？</a>
					<div>
						PHP 是一种用来制作动态网页的服务器端脚本语言.你通过PHP和HTML创建页面.当访问者打开网页时,服务器端便会处理 PHP 指令,然后把其处理结果送到访问者的浏览器上面,就好像 ASP 或者是 C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLDgRp.html" rel="bookmark" class="title">产品市场思考&colon;越来越担心360安全卫士</a>
					<div>
						1.相信很多人开始用360并一直用下来,是因为恶意插件清理这个功能.不得不说,这在当年,是唯一一个比较好使.比较有效.比较大义灭亲的恶意软件清理工具.但是现在,你在360里,几乎发现不了这项龟缩在角落 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB05Wb.html" rel="bookmark" class="title">Android多线程研究（5）线程之间共享数据</a>
					<div>
						一.如果是每个线程都执行相同的代码,则可以使用同一个Runnable来实现共享 public class MultiThreadShareData { public static void main( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6ma6z.html" rel="bookmark" class="title">在DotNetNuke中加入组织架构（一）</a>
					<div>
						稍微解释一下:我希望用DotNetNuke不但可以做Internet的东西,而且也可以做Intranet的业务:从目前的情况来看,一般来说,Intranet的业务逻辑可能比Internet的业务逻辑要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Na53z.html" rel="bookmark" class="title">Programming Ruby读书笔记&lpar;四&rpar;</a>
					<div>
						Ruby正则表达式 三种表示方法: Regexp.new('^s*[a-z]') /^s*[a-z]/ %r...{^s*[a-z]} 测试代码: def show_reqexp(a, re) if  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNELRyb.html" rel="bookmark" class="title">用C&num;实现RAR文件的自动解压缩</a>
					<div>
						如果我们用的是托管服务器通常需要实现文件上传下载功能(替代FTP功能进行远程文件管理)已提高文件处理的效率下面的程序代码实现了对文件的自动解压处理 /// &lt;summary&gt; /// 解压 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NmYkz.html" rel="bookmark" class="title">HTML5 到底是什么？</a>
					<div>
						除非你与世隔绝,否则,一定听到过关于 HTML5 的各种声音,HTML5 表面上看是用来取代 Flash Web 视频的,然而,它的使命远不止此.HTML5 是下一代 Web 语言,它不单单是一种标记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6W0Vz.html" rel="bookmark" class="title">PS给照片添加磨砂玻璃效果文字说明</a>
					<div>
						这篇教程教朋友们用PS给照片添加磨砂玻璃效果文字说明,教程难度一般.制作的文字说明背景效果很漂亮.特此转发,希望对飞特的朋友们有用吧!先看看效果图:   在这个快速的教程里,我们将会展示如何创建类似于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY1EOb.html" rel="bookmark" class="title">Storm实时计算：流操作入门编程实践</a>
					<div>
						Storm是一个分布式是实时计算系统,它设计了一种对流和计算的抽象,概念比较简单,实际编程开发起来相对容易.下面,简单介绍编程实践过程中需要理解的Storm中的几个概念: Topology Storm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MYRAdVp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA1MDkxMDQ2NDM3MDM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MYRAdVp.html" rel="bookmark" class="title">老毛桃U盘装XP，ntldr is missing</a>
					<div>
						背景:        10年买的笔记本,用起来有点卡,所以想装个XP,感受一下哈哈.         笔记本:Dell 1450,T6600 4G内存 过程:         1.使用老毛桃U盘启动盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze641wb.html" rel="bookmark" class="title">Oracle Rman工具如何查看当前的配置参数&quest;</a>
					<div>
						Rman中利用show命令来显示当前的配置参数.例如,通过SHOW ALL显示当前所有的配置. RMAN&gt; show all; RMAN 配置参数为: CONFIGURE RETENTION P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6W36M.html" rel="bookmark" class="title">开发-Android app和IOS app 更新机制的区别</a>
					<div>
						问题描述 Android app和IOS app 更新机制的区别 公司最近准备开发一款小应用,需要先调查一下Android平台和IOS平台application的更新机制的区别,没有移动app的开发经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwJxLM.html" rel="bookmark" class="title">软件开发-安装的调试器不能被识别出来</a>
					<div>
						问题描述 安装的调试器不能被识别出来 开发-安装的调试器不能被识别出来-调试器开发&quot;&gt; 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PvoVp.html" rel="bookmark" class="title">通过jpanel获取jframe对象</a>
					<div>
						问题描述 通过jpanel获取jframe对象 java中如何在子类容器jpanel中获取父类容器jframe的对象(不是实例化,不然就又生成一个界面出来了),使其并可以对jframe中的组件进行修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKAqWz.html" rel="bookmark" class="title">fusesource-做人脸识别算法，在进行肤色分割时遇到一些问题，求大神帮助！</a>
					<div>
						问题描述 做人脸识别算法,在进行肤色分割时遇到一些问题,求大神帮助! 在做人脸识别算法的肤色分割时遇到一些问题,求大神帮助! 对图像进行光线补偿后,把图像从RGB空间转换到YCbCr空间,然后根据已经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94EDVb.html" rel="bookmark" class="title">深入解析：一主多备DG环境，failover的实现过程详解</a>
					<div>
						在DG中,switchover和failover是两个重要的概念,也是DG实现的核心.根据不同的DG配置,switchover和failover也是有差异的.当主库被crash之后,如何进行DG fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RnW0z.html" rel="bookmark" class="title">设计模式（十）享元模式Flyweight（结构型）</a>
					<div>
						设计模式(十)享元模式Flyweight(结构型) 说明: 相对于其它模式,Flyweight模式在PHP实现似乎没有太大的意义,因为PHP的生命周期就在一个请求,请求执行完了,php占用的资源都被释 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDejvLb.html" rel="bookmark" class="title">关于js的小问题， 获取月份出错了。 麻烦大家看一下，谢谢了</a>
					<div>
						问题描述 关于js的小问题, 获取月份出错了. 麻烦大家看一下,谢谢了 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitiona ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR9W6b.html" rel="bookmark" class="title">如何配置Windows服务器本地安全策略？</a>
					<div>
						企业组织通常依赖组策略设置来保护及配置新的服务器.即便如此,为每个服务器配置本地安全策略也是同样重要的. Windows Server本地安全策略与Active Directory组策略有些相似,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKYddb.html" rel="bookmark" class="title">开源日志库Logger的使用</a>
					<div>
						日志对于开发来说是非常重要的,不管是调试数据查看.bug问题追踪定位.数据信息收集统计,日常工作运行维护等等,都大量的使用到. 在Android Studio中的gradle中加入,就可以引用依赖lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r4rdp.html" rel="bookmark" class="title">手腕上的大数据  打响可穿戴只能设备第一战</a>
					<div>
						在Google Glass和iWatch的带动下,关于智能设备的未来,网上出现了各种靠谱和不靠谱的假设,其中大有&quot;未来智能手机会不会像BB机一样被淘汰?&quot;的类似问题,当然,&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZZPep.html" rel="bookmark" class="title">研究人员做出达到光学分辨率极限的&OpenCurlyDoubleQuote;最清晰&rdquo;图像</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;       [科技讯]9月15日消息,据媒体报道,一项新研 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqeaqp.html" rel="bookmark" class="title">（四十）类型转换</a>
					<div>
						已经知道,int,double,short,char,long,float等多个类型,其中有整型,也有浮点类型.然而,在实际应用中,经常会涉及到类型转换问题. 例如 double a=13.33333 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RGGmz.html" rel="bookmark" class="title">全球最大110寸四倍全高清3D液晶屏研发成功</a>
					<div>
						华星光电今日宣布,其全球最大的110寸四倍全高清3D液晶显示屏&quot;中华之星&quot;研发成功,并将于近期展示这一世界液晶平板显示行业革命性产品.&quot;中华之星&quot;的问世是继去年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkGQvz.html" rel="bookmark" class="title">JQuery的&dollar;命名冲突详细解析&lowbar;jquery</a>
					<div>
						在Jquery中,$是JQuery的别名,所有使用$的地方也都可以使用JQuery来替换,如$('#msg')等同于JQuery('#msg')的写法.然而,当我们引入多个js库后,在另外一个js库中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmn71z.html" rel="bookmark" class="title">shiftjis与utf8的问题</a>
					<div>
						问题描述 我做一个日志文件输出,开发系统是日文系统,输出的日志文件代码如下:stringstrDateName=DateTime.Now.ToShortDateString().Replace(&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdB1Ep.html" rel="bookmark" class="title">阿里云中间件团队首次解密企业级分布式应用服务EDAS</a>
					<div>
						7月22日,阿里云正式对外发布了企业级互联网架构解决方案,该服务由EDAS应用框架.ONS消息队列.DRDS分布式数据库组成,能有效解决企业上云后网站过载.性能瓶颈.重复开发等问题. 云栖大会武汉站, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdvJQb.html" rel="bookmark" class="title">德国可再生能源产业发展10年回顾与展望</a>
					<div>
						德国http://www.aliyun.com/zixun/aggregation/17815.html&quot;&gt;可再生能源产业发展初期十分弱小,但2000年4月1日生效的&lt;可再生能源 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
